Package org.jboss.resteasy.plugins.providers.jaxb

## Class SecureUnmarshaller

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.SecureUnmarshaller

- All Implemented Interfaces:
    `Unmarshaller`

      public class SecureUnmarshaller
      extends Object
      implements Unmarshaller

  Version:
    $Revision: 1.1 $ Created Feb 1, 2012
  Author:
    Ron Sigal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.xml.bind.Unmarshaller

      `Unmarshaller.Listener`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecureUnmarshaller​(Unmarshaller delegate, boolean disableExternalEntities, boolean enableSecureProcessingFeature, boolean disableDTDs)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `configureParserFactory​(SAXParserFactory factory, boolean disableExternalEntities, boolean enableSecureProcessingFeature, boolean disableDTDs)` |
    `<A extends XmlAdapter> A` | `getAdapter​(Class<A> type)` |
    `AttachmentUnmarshaller` | `getAttachmentUnmarshaller()` |
    `Unmarshaller` | `getDelegate()` |
    `ValidationEventHandler` | `getEventHandler()` |
    `Unmarshaller.Listener` | `getListener()` |
    `Object` | `getProperty​(String name)` |
    `Schema` | `getSchema()` |
    `UnmarshallerHandler` | `getUnmarshallerHandler()` |
    `boolean` | `isValidating()` | Deprecated. This method is deprecated as of JAXB 2.0 - please use the new `getSchema()` API.
    `<A extends XmlAdapter> void` | `setAdapter​(Class<A> type, A adapter)` |
    `void` | `setAdapter​(XmlAdapter adapter)` |
    `void` | `setAttachmentUnmarshaller​(AttachmentUnmarshaller au)` |
    `void` | `setDelegate​(Unmarshaller delegate)` |
    `void` | `setEventHandler​(ValidationEventHandler handler)` |
    `void` | `setListener​(Unmarshaller.Listener listener)` |
    `void` | `setProperty​(String name, Object value)` |
    `void` | `setSchema​(Schema schema)` |
    `void` | `setValidating​(boolean validating)` | Deprecated. since JAXB2.0, please see `getSchema()`
    `Object` | `unmarshal​(File f)` |
    `Object` | `unmarshal​(InputStream is)` | Turns off expansion of external entities.
    `Object` | `unmarshal​(Reader reader)` |
    `Object` | `unmarshal​(URL url)` |
    `Object` | `unmarshal​(XMLEventReader reader)` |
    `<T> JAXBElement<T>` | `unmarshal​(XMLEventReader reader, Class<T> declaredType)` |
    `Object` | `unmarshal​(XMLStreamReader reader)` |
    `<T> JAXBElement<T>` | `unmarshal​(XMLStreamReader reader, Class<T> declaredType)` |
    `Object` | `unmarshal​(Source source)` |
    `<T> JAXBElement<T>` | `unmarshal​(Source source, Class<T> declaredType)` |
    `Object` | `unmarshal​(Node node)` |
    `<T> JAXBElement<T>` | `unmarshal​(Node node, Class<T> declaredType)` |
    `Object` | `unmarshal​(InputSource source)` | Turns off expansion of external entities.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureUnmarshaller

          public SecureUnmarshaller​(Unmarshaller delegate,
                                    boolean disableExternalEntities,
                                    boolean enableSecureProcessingFeature,
                                    boolean disableDTDs)

  - ### Method Detail

    - #### getAdapter

          public <A extends XmlAdapter> A getAdapter​(Class<A> type)

      Specified by:
        `getAdapter` in interface `Unmarshaller`

    - #### getAttachmentUnmarshaller

          public AttachmentUnmarshaller getAttachmentUnmarshaller()

      Specified by:
        `getAttachmentUnmarshaller` in interface `Unmarshaller`

    - #### getEventHandler

          public ValidationEventHandler getEventHandler()
                                                 throws JAXBException

      Specified by:
        `getEventHandler` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### getListener

          public Unmarshaller.Listener getListener()

      Specified by:
        `getListener` in interface `Unmarshaller`

    - #### getProperty

          public Object getProperty​(String name)
                             throws PropertyException

      Specified by:
        `getProperty` in interface `Unmarshaller`
      Throws:
        `PropertyException`

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `Unmarshaller`

    - #### getUnmarshallerHandler

          public UnmarshallerHandler getUnmarshallerHandler()

      Specified by:
        `getUnmarshallerHandler` in interface `Unmarshaller`

    - #### isValidating

          @Deprecated
          public boolean isValidating()
                               throws JAXBException

      Deprecated.
      This method is deprecated as of JAXB 2.0 - please use the new `getSchema()` API.
      Specified by:
        `isValidating` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### setAdapter

          public void setAdapter​(XmlAdapter adapter)

      Specified by:
        `setAdapter` in interface `Unmarshaller`

    - #### setAdapter

          public <A extends XmlAdapter> void setAdapter​(Class<A> type,
                                                        A adapter)

      Specified by:
        `setAdapter` in interface `Unmarshaller`

    - #### setAttachmentUnmarshaller

          public void setAttachmentUnmarshaller​(AttachmentUnmarshaller au)

      Specified by:
        `setAttachmentUnmarshaller` in interface `Unmarshaller`

    - #### setEventHandler

          public void setEventHandler​(ValidationEventHandler handler)
                               throws JAXBException

      Specified by:
        `setEventHandler` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### setListener

          public void setListener​(Unmarshaller.Listener listener)

      Specified by:
        `setListener` in interface `Unmarshaller`

    - #### setProperty

          public void setProperty​(String name,
                                  Object value)
                           throws PropertyException

      Specified by:
        `setProperty` in interface `Unmarshaller`
      Throws:
        `PropertyException`

    - #### setSchema

          public void setSchema​(Schema schema)

      Specified by:
        `setSchema` in interface `Unmarshaller`

    - #### setValidating

          @Deprecated
          public void setValidating​(boolean validating)
                             throws JAXBException

      Deprecated.
      since JAXB2.0, please see `getSchema()`
      Specified by:
        `setValidating` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(File f)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(InputStream is)
                           throws JAXBException

      Turns off expansion of external entities.
      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(Reader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(URL url)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(InputSource source)
                           throws JAXBException

      Turns off expansion of external entities.
      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(Node node)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(Source source)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(XMLStreamReader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(XMLEventReader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(Node node,
                                              Class<T> declaredType)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(Source source,
                                              Class<T> declaredType)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(XMLStreamReader reader,
                                              Class<T> declaredType)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(XMLEventReader reader,
                                              Class<T> declaredType)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### getDelegate

          public Unmarshaller getDelegate()

    - #### setDelegate

          public void setDelegate​(Unmarshaller delegate)

    - #### configureParserFactory

          protected static void configureParserFactory​(SAXParserFactory factory,
                                                       boolean disableExternalEntities,
                                                       boolean enableSecureProcessingFeature,
                                                       boolean disableDTDs)
                                                throws ParserConfigurationException,
                                                       SAXNotRecognizedException,
                                                       SAXNotSupportedException

      Throws:
        `ParserConfigurationException`
        `SAXNotRecognizedException`
        `SAXNotSupportedException`